Subject: bug#10396: 24.0.92; update-directory-autoloads now adds path element to filename in autoload definition

From: Chong Yidong <[email-masked]>
Date: Fri, 27 Jan 2012 16:39:21 +0800

David Engster <[email-masked]> writes:

> Stefan Monnier writes:
>>> This might not be a bug, but I couldn't find anything in NEWS regarding
>>> this issue, and it breaks my personal autoload setup.
>>
>> It's a feature: since foo/bar is not in `load-path', autoload.el figures
>> that only "bar/test" will properly load the file.
>> So you just need to set `load-path' to include `foo/bar' like you
>> probably already do elsewhere.
>
> But it's a new feature, right? Emacs 23.3 doesn't seem to do that.
>
> If it's new, I think it should be mentioned in NEWS; it is an important
> change for anyone creating Emacs packages, since I now have to make sure
> that `load-path' during autoload-generation and during actual usage of
> the package is consistent.

Could you suggest a NEWS entry?  That would be helpful, since I don't
understand how the current autoload behavior breaks your setup.